/* Die Klasse realisiert eine Kugel und stellt spezifische Attribute
 * und Operationen (Methoden) fr eine Kugel bereit.
 * Autor: Thomas von der Maen
 * Umgebung: JDK 1.3.1, Windows 2000
 * Erstellt: 14.11.2001
 */

public class Kugel {
	
    public final double PI = 3.1415926535897932384626433832795;
    
    /* Attribute */
    public double radius = 0;
    public double gewicht = 0;
    public String farbe = "";
    
    /* Berechnung des Durchmessers */
    public double gibDurchmesser() {
    	return (2 * radius);
    }

	/* Berechnung der Oberflche */
    public double berechneOberflaeche() {
			return (4 * PI * radius * radius);
    }

	/* Berechnung des Volumens */
    public double berechneVolumen() {
			return (4.0 / 3.0 * PI * radius * radius * radius);
    }

	/* Berechnung des Umfangs */
    public double berechneUmfang() {
			return (gibDurchmesser() * PI);
    }
   
}