/**
* Die Klasse <i>Patient</i> speichert Patientendaten
* @author Thomas von der Maen
*/
public class PatientNeu {
	
	private protected String name = "";
	private String vorname = "";
	private String krankenkasse = "";
	private int alter = 0;

	public static int patientenAnzahl = 0;
	
	/**
	 * Die Methode <i>init</i> initialisiert die Attribute des Patienten und
	 * erhht die Klassenvariable <i>patientenAnzahl</i> um eins
	 */
	public void init() {
		name = "";
		vorname = "";
		krankenkasse = "";
		alter = 0;
		patientenAnzahl = patientenAnzahl + 1;
	}

	/**
	 * Die Methode <i>setName</i> legt den Namen des Patienten fest.
	 * @param n Nachname des Patienten
	 */
	public void setName(String n) {
		name = n;
	}
	
	/**
	* Die Methode <i>getName</i> liefert den Namen des Patienten
	* @return Nachname des Patienten
	*/
	public String getName() {
		return name;
	}
	
	/**
	 * Die Methode <i>setVorname</i> legt den Vornamen des Patienten fest.
	 * @param vn Vorname des Patienten
	 */
	public void setVorname(String vn) {
		vorname = vn;
	}
	
	/**
  	 * Die Methode <i>getVorname</i> liefert den Vornamen des Patienten
	 * @return Vornachname des Patienten
	 */
	public String getVorname() {
		return vorname;
	}
	
	/**
	 * Die Methode <i>setKrankenkasse</i> legt die Krankenkasse des Patienten fest.
	 * @param k Krankenkasse des Patienten
	 */
	public void setKrankenkasse(String k) {
		krankenkasse = k;
	}
	
	/**
 	 * Die Methode <i>getKrankenkasse</i> liefert die Krankenkasse des Patienten
	 * @return Krankenkasse des Patienten
	 */
	public String getKrankenkasse() {
		return krankenkasse;
	}
	
	/**
	 * Die Methode <i>setAlter</i> legt das Alter des Patienten fest.
	 * @param a Alter des Patienten
	 */
	public void setAlter(int a) {
		alter = a;
	}
	
	/**
 	 * Die Methode <i>getAlter</i> liefert das Alter des Patienten
	 * @return Alter des Patienten
	 */
	public int getAlter() {
		return alter;
	}

	/**
	 * Die Methode <i>toString</i> liefert eine String-Darstellung des Patienten
	 * @return Patienten als String
	 */
	public String toString() {
		String s = "Name: " + name + "\n" 
					+ "Vorname: " + vorname + "\n" 
					+ "Krankenkasse: " + krankenkasse + "\n"
					+ "Alter: " + alter;
		return s;
	}
		
}